Bug 1920200 - user-settings network error results in infinite loop of requests
Summary: user-settings network error results in infinite loop of requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Mohammed Saud
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 18:27 UTC by Mohammed Saud
Modified: 2021-02-24 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7918 0 None closed Bug 1920200: Throw error if ConfigMap creation fails with unexpected response 2021-02-03 10:22:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:25 UTC

Description Mohammed Saud 2021-01-25 18:27:52 UTC
Description of problem:
When the console backend cannot be reached, the console front end enters a loop trying to fetch user-settings resulting in high CPU usage for the browser.


Prerequisites (if any, like setup, operators/versions):


Steps to Reproduce
Easier to reproduce in dev env:

- load up a page
- disconnect the bridge
- navigate to the +Add page


Actual results:
Infinite loop of network requests logged in web inspector:


Expected results:
Once an error occurs, the user-settings should enter a stable error state.


Reproducibility (Always/Intermittent/Only Once):
always


Build Details:
4.7.0-0.nightly-2021-01-10-070949

Comment 2 Christoph Jerolimov 2021-02-05 11:17:47 UTC
Verified on 4.7.0-0.nightly-2021-02-04-031352

Comment 5 errata-xmlrpc 2021-02-24 15:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.